pcl::Boundary Struct Reference
Module common

A point structure representing a description of whether a point is lying on a surface boundary or not. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

uint8_t | boundary_point

## Friends

std::ostream & | operator<< (std::ostream &os, const Boundary &p)

## Detailed Description

A point structure representing a description of whether a point is lying on a surface boundary or not.

Definition at line 1138 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Boundary & | p
| ) |  |

friend

## Member Data Documentation

## boundary_point

uint8_t pcl::Boundary::boundary_point

Definition at line 1140 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp